# MenuGroup QML Type

Logical list of items for a menu. More...

Import Statement: | import Lomiri.Components.Labs 1.3

- List of all members, including inherited members

## Properties

- data : list<Object>

## Signals

- added(Object action)
- changed()
- removed(Object action)

## Methods

- addObject(Object object)
- removeObject(Object object)

## Detailed Description

Example usage:

    import QtQuick 2.4
    import Lomiri.Components 1.3
    import Lomiri.Components.Labs 1.0
    Menu {
        text: "Edit"

        MenuGroup {
            Action { text: "Undo" }
            Action { text: "Redo" }
        }

        MenuGroup {
            Action { text: "Cut" }
            ActionList {
                Action { text: "Copy" }
                Action { text: "Paste" }
            }
        }

        MenuGroup {
            Action { text: "Select All" }
        }
    }

## Property Documentation

[default] data : list<Object>

* * * List of Objects in this MenuGroup * Note that when you set this property, the children of the MenuGroup will be ignored, * so do not set the list and define children.

## Signal Documentation

added(Object action)

Signal called when a action is added to the list

Note: The corresponding handler is `onAdded`.

changed()

Signal called when the contents of the group change, including child content changes (eg. ActionList child add/remove)

Note: The corresponding handler is `onChanged`.

removed(Object action)

Signal called when a action is removed from the list

Note: The corresponding handler is `onRemoved`.

## Method Documentation

addObject(Object object)

Adds an Object to the list programatically.

removeObject(Object object)

Removes an object from the list programatically.